package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

public enum ActivityCacheKey {
	ACTIVITY_PORTAL_LIST_CACHE_KEY("activity_portal_list_cache_key", "门户端科技活动列表缓存"),
	
	OTHER("", "未知参数");
	
	private String	code;
	private String	desc;
	
	private static Map<String, ActivityCacheKey> status = new HashMap<String, ActivityCacheKey>();
	
	private ActivityCacheKey(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}
	
	static {
		for (ActivityCacheKey value : ActivityCacheKey.values()) {
			status.put(value.getCode(), value);
		}
	}
	
	public static ActivityCacheKey getField(String code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}
	
	public static String getFieldDesc(String code) {
		return getField(code).getDesc();
	}

	public static boolean containsType(String code) {
		return status.containsKey(code);
	}
	
	public String getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}
}
